Bug 877397 (CVE-2012-5515)

Summary: CVE-2012-5515 kernel: xen: Several memory hypercall operations allow invalid extent order values
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, dhoward, drjones, imammedo, leiwang, lersek, lwang, mrezanin, pbonzini, plougher, rvrbovsk, security-response-team, sforsber, tburke, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121203,reported=20121115,source=upstream,cvss2=5.5/AV:A/AC:L/Au:S/C:N/I:N/A:C,rhel-5.9.z/kernel-xen=affected,rhel-5.10/kernel-xen=affected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 10:03:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 878449, 878450, 883092    
Bug Blocks: 877406    

Description Petr Matousek 2012-11-16 07:26:13 EST
Allowing arbitrary extent_order input values for XENMEM_decrease_reservation,
XENMEM_populate_physmap, and XENMEM_exchange can cause arbitrarily long time
being spent in loops without allowing vital other code to get a chance to
execute. This may also cause inconsistent state resulting at the completion
of these hypercalls.
                                                                                                                                                             
A malicious guest administrator can cause Xen to hang.                                                                                                       

Versions of Xen that do not support supporting Populate-on-Demand may
only be theoretically affected.     

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2012-11-16 07:28:16 EST
Please note that we do not support Populate-on-Demand in Xen hypervisor as shipped with Red Hat Enterprise Linux 5.
Comment 3 Petr Matousek 2012-11-16 07:28:41 EST
Statement:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 15 Petr Matousek 2012-12-03 13:25:38 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 883092]
Comment 16 Fedora Update System 2012-12-13 01:00:57 EST
xen-4.1.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-12-15 12:56:22 EST
xen-4.1.3-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 errata-xmlrpc 2013-01-22 14:56:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0168 https://rhn.redhat.com/errata/RHSA-2013-0168.html